org.codehaus.groovy.reflection

## Class CachedClass.CachedMethodComparatorByName

- java.lang.Object
- - org.codehaus.groovy.reflection.CachedClass.CachedMethodComparatorByName

All Implemented Interfaces:
  java.util.Comparator

Enclosing class:
  CachedClass

    public static class CachedClass.CachedMethodComparatorByName
    extends java.lang.Object
    implements java.util.Comparator

### Field Summary

Fields
`static java.util.Comparator` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`CachedClass.CachedMethodComparatorByName()`

### Method Summary

Methods
`int` `compare(java.lang.Object o1, java.lang.Object o2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Field Detail

#### INSTANCE

    public static final java.util.Comparator INSTANCE

### Constructor Detail

#### CachedClass.CachedMethodComparatorByName

    public CachedClass.CachedMethodComparatorByName()

### Method Detail

#### compare

    public int compare(java.lang.Object o1,
              java.lang.Object o2)

Specified by:
  `compare` in interface `java.util.Comparator`